SUMMARY = "Graphics abstraction library for the Linux Framebuffer Device"
DESCRIPTION = "DirectFB is a thin library that provides developers \
with hardware graphics acceleration, input device handling and \
abstraction, an integrated windowing system with support for \
translucent windows and multiple display layers on top of the \
Linux framebuffer device."
SECTION = "libs"
LICENSE = "LGPLv2.1"
LIC_FILES_CHKSUM = "file://COPYING;md5=dcf3c825659e82539645da41a7908589"
HOMEPAGE = "http://directfb.org"

DEPENDS = "jpeg libpng freetype zlib tslib sysfsutils"

PV = "1.4.15"
RV = "1.4-15"

inherit autotools binconfig pkgconfig

SRC_URI = "\
	http://directfb.org/downloads/Core/DirectFB-1.4/DirectFB-${PV}.tar.gz \
	file://DirectFB-${PV}-bs4.1.35.patch \
"

SRC_URI[md5sum] = "9b2b90b81d7ded2a4a5caa22daeb81ef"

S = "${WORKDIR}/DirectFB-${PV}"
LDFLAGS_append = " -lts -lm"

EXTRA_OECONF = "\
	     --with-gfxdrivers=none \
	     --enable-libmpeg3=no \
	     --enable-freetype=yes \
	     --enable-sdl=no \
	     --enable-vnc=no \
	     --disable-x11 \
	     --enable-zlib \
"

FILES_${PN}-dbg += "\
  ${libdir}/directfb-${RV}/*/*/.debug/*.so \
  ${libdir}/directfb-${RV}/*/.debug/*.so \
"

FILES_${PN}-dev += "\
  ${bindir}/directfb-config \
  ${libdir}/directfb-${RV}/systems/*.la \
  ${libdir}/directfb-${RV}/inputdrivers/*.la \
"
