# brightsign-nexus-image
#
# Image configuration for BrightSign based on Nexus
#

PACKAGE_ARCH = "${MACHINE}${BS_ALL_SUFFIXES}"
__BB_DONT_CACHE = 1

# This really means "don't install any static entries in /dev".
USE_DEVFS = "1"

DEBUG_PACKAGES = "strace gdb gdbserver"
WIFI_PACKAGES = "wpa-supplicant bcm4323-driver bcm4323-tools"

IMAGE_INSTALL = "base-files \
	         base-passwd \
		 busybox \
		 ca-certificates \
		 gdk-pixbuf-loader-png \
		 gdk-pixbuf-loader-jpeg \
		 gdk-pixbuf-loader-bmp \
		 brightsign-apps \
		 brightsign-apps-check-for-update \
		 brightsign-apps-storage-monitor \
		 mtd-utils \
		 brightsign-startup \
		 brightsign-startup-automount \
		 avahi \
		 util-linux-blkid \
		 dhcpcd \
		 dosfstools \
		 kernel-modules \
		 iproute2 \
		 tcpdump \
		 e2fsprogs-e2fsck e2fsprogs-mke2fs \
		 ${DEBUG_PACKAGES} \
		 ${WIFI_PACKAGES} \
		 memtester \
		 net-snmp-server \
		 "

# This is a grotesque hack to fix the owner and permissions on
# dbus-daemon-launch-helper because OE is currently corrupting them.
hack_dbus_daemon_launch_helper() {
	f=${IMAGE_ROOTFS}/libexec/dbus-daemon-launch-helper	
	messagebus_gid=`grep '^messagebus' ${IMAGE_ROOTFS}/etc/group|cut -d':' -f3`
	chown 0:$messagebus_gid $f
	chmod u+s $f
}

ROOTFS_POSTPROCESS_COMMAND += " hack_dbus_daemon_launch_helper ; "

# OpenGLES disabled, see nexus_git.bb
#IMAGE_INSTALL_append_cheetah = " clutter-tests fontconfig-utils"

IMAGE_INSTALL_append_bcm97425 = "		 qt4-embedded-demos \
"

IMAGE_LINGUAS = ""

IMAGE_INSTALL += "curl"
IMAGE_INSTALL += "libusb1"
IMAGE_INSTALL += "libusb-compat"

DEPENDS = "virtual/kernel gdb-cross"

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/LICENSE;md5=3f40d7994397109285ec7b81fdeb3b58 \
                    file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

inherit image
